# Explosion Outcome

The explosion outcome creates an explosion in the world.

```json
{
  "type": "lucky:explosion",
  "luck": -2,
  "explosion": {
    "power": 6
  }
}
```

This outcome creates a simple large explosion with a power of 6. For reference, regular Tnt has a power of 4.

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "type": "lucky:explosion",
  "luck": -2,
  "explosion": {
    "power": 6,
    "create_fire": true,
    "behavior": "wind_charge"
  }
}
</code></pre>

This outcome creates a fiery explosion that does not directly damage entities, rather launching them upwards (like a wind charge).

<pre class="language-json"><code class="lang-json"><strong>{
</strong>  "type": "lucky:explosion",
  "luck": -2,
  "explosion": {
    "particle": {
      "type": "minecraft:sonic_boom"
    },
    "emitter_particle": {
      "type": "minecraft:sonic_boom"
    },
    "sound_event": "minecraft:entity.ghast.scream"
  }
}
</code></pre>

This outcome creates a regular explosion using regular and soul fire flame particles, as well as the Ghast scream sound instead of the explosion sound.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creoii.dev/lucky-block/outcomes/explosion-outcome.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
